Securbase Logo
Back to API Reference

Extract Face Data UI

Extract biometric face data and attributes from a UITemplate.

All biometric endpoints require authentication. Include your API Token in the Authorization header.
POST/biometria/extraer-datos-rostro-UI

Extract biometric face data and attributes from a UITemplate.

Parameters

No parameters.

Request Body

{
"template": "string",
"parametros": {
"blinkSensibility": 0,
"detectAge": true,
"detectEmotion": true,
"detectExpression": true,
"detectGender": true,
"detectOnlyMajorFace": true,
"detectTraitsAndActions": true,
"facePoseSensibility": {
"lookingDownwardsPitchAngle": 0,
"lookingFront": 0,
"lookingLeftYawAngle": 0,
"lookingRightYawAngle": 0,
"lookingUpwardsPitchAngle": 0
},
"maxCLAHE": 0,
"maxRoll": 0,
"maxYaw": 0,
"minCLAHE": 0,
"minConfidence": 0,
"minIOD": 0,
"minQuality": 0,
"scaleH": 0,
"thumbnailWidth": 0,
"useCLAHE": true,
"useCache": true,
"videoFramesSeq": 0
}
}

Response

{
"success": true,
"error": {
"codigo": 0,
"descripcion": "string",
"tipo": "ERROR"
},
"data": {
"exception": true,
"face": {
"image": "string",
"template": "string"
},
"faceImage": "string",
"properties": {
"age": 0,
"clahe": 0,
"confidence": 0,
"emotion": {
"anger": 0,
"disgust": 0,
"fear": 0,
"happiness": 0,
"neutral": 0,
"sadness": 0,
"surprise": 0
},
"expression": {
"confidence": 0,
"type": "EYES_AWAY"
},
"gender": {
"confidence": 0,
"type": "MALE"
},
"leftEyePoint": {
"confidence": 0,
"num": 0,
"x": 0,
"y": 0
},
"leftEyeRegion": {
"confidence": 0,
"height": 0,
"width": 0,
"x": 0,
"y": 0
},
"nosePoint": {
"confidence": 0,
"num": 0,
"x": 0,
"y": 0
},
"noseRegion": {
"confidence": 0,
"height": 0,
"width": 0,
"x": 0,
"y": 0
},
"position": {
"height": 0,
"pitch": 0,
"points": [
{
"confidence": 0,
"num": 0,
"x": 0,
"y": 0
}
],
"roll": 0,
"width": 0,
"x": 0,
"y": 0,
"yaw": 0
},
"rightEyePoint": {
"confidence": 0,
"num": 0,
"x": 0,
"y": 0
},
"rightEyeRegion": {
"confidence": 0,
"height": 0,
"width": 0,
"x": 0,
"y": 0
},
"thumbnail": "string",
"traits": {
"ambosOjosCerrados": true,
"beard": 0,
"darkGlasses": 0,
"glasses": 0,
"hat": 0,
"leftEyeClosed": true,
"lookingDownward": true,
"lookingFront": true,
"lookingLeft": true,
"lookingRight": true,
"lookingUpward": true,
"mustache": 0,
"openMouth": 0,
"rightEyeClosed": true
}
},
"status": "OK",
"txId": "string",
"uiTemplateMetadata": {
"fechaCreacionTemplate": "2026-05-22T20:03:02.550Z"
}
}
}

Example request

curl -X POST https://api.securbase.com/portal/biometria/extraer-datos-rostro-UI \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{ "template": "string", "parametros": { "blinkSensibility": 0, "detectAge": true, "detectEmotion": true, "detectExpression": true, "detectGender": true, "detectOnlyMajorFace": true, "detectTraitsAndActions": true, "facePoseSensibility": { "lookingDownwardsPitchAngle": 0, "lookingFront": 0, "lookingLeftYawAngle": 0, "lookingRightYawAngle": 0, "lookingUpwardsPitchAngle": 0 }, "maxCLAHE": 0, "maxRoll": 0, "maxYaw": 0, "minCLAHE": 0, "minConfidence": 0, "minIOD": 0, "minQuality": 0, "scaleH": 0, "thumbnailWidth": 0, "useCLAHE": true, "useCache": true, "videoFramesSeq": 0 } }'